# QKD Interoperable KMS API

This repository contains the draft OpenAPI description that is currently under development along with ETSI GS QKD 020 "Quantum Key Distribution (QKD); Protocol and data format of REST-based Interoperable Key Management System API" by 
[ETSI ISG QKD](https://www.etsi.org/committee/qkd) in work item 
[DGS/QKD-020_InteropKMS](https://portal.etsi.org/webapp/WorkProgram/Report_WorkItem.asp?WKI_ID=63115). 

The deliverable will specify an interface for use by Key Management Systems in QKD networks to pass keys between cooperating QKD networks using a REST-based API.

**IMPORTANT: These [OpenAPI](https://www.openapis.org/) specifications are under development and subject to change.**

Note: The default branch in this repository has been renamed `main` as per QKD(23)033d002.

## Visualise

View API in 
[Swagger Editor](https://forge.etsi.org/swagger/editor-versions/v3.8.0/?url=https://forge.etsi.org/rep/qkd/gs020-interop-kms/raw/main/interop-kms.yaml).

## Contact

For enquiries, contact `isgsupport` at `etsi` dot `org`.

## License

See LICENSE file and https://forge.etsi.org/legal-matters
